Skip to main content
Version: 10.1

Zone Victims Resource

Description​

This resource is for examining the list of victims in a given zone.

GET /zones/:ID/victims​

Returns the list of victims in the zone for the time period requested. If no time period is specifically queried this will be for current victims. This is a paged query.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique ID of the zone. 
start_timeNoQuery ParameterThe start time, in ISO 8601 format, for the period of victims you want to see. If used you must include an end_time value as well. 
end_timeNoQuery ParameterThe end time, in ISO 8601 format, for the period of victims you want to see. 
show_hidden_victimNoQuery ParameterAcceptable values are "true" and "false". If false, attempts to filter victims by the zone's current thresholds. If more than 1000 victims would be returned while set to false, this query will fail. Set to true for queries with more than 1000 victims.False

GET Response Values​

NameTypeDescription
idJSON NumberThe unique ID number of the victim. Corresponds to the ID used for the victim resource.
ip_addrJSON StringThe IP address of the victim.
attacktypeJSON NumberNumber representing the attack type for the victim.
full_attacktypeJSON StringThe string description of the attack type for the victim.
attack_subtypeJSON ArrayAn array of JSON Strings representing the subtypes of the attack type that were detected.
starttimeJSON StringThe start time of the attack, converted to ISO 8601 format (UTC).
endtimeJSON StringThe end time of the attack, converted to ISO 8601 format (UTC). If the attack is ongoing, this will be represented by the string value "Infinity".
numbitsJSON NumberThe number of bits processed by the algorithm for the victim since the attack started.
numpacketsJSON NumberThe number of packets processed by the algorithm for the victim since the attack started.
numattackbitsJSON NumberThe number of bits declared as attacker bits by the algorithm.
numattackpacketsJSON NumberThe number of packets declared as attacker packets by the algorithm.
numdroppedbitsJSON NumberThe number of bits dropped by the algorithm for this victim.
numdroppedpacketsJSON NumberThe number of packets dropped by the algorithm for this victim.
zone_resourceJSON StringThe zone resource of the victim. This will correspond to the ID used for the query.
victim_resourceJSON StringThe victim resource for this victim.
zone_nameJSON StringThe display name of the zone.
current_ppsJSON NumberThe current packets per second of the attack on this victim.
current_bpsJSON NumberThe current bits per second of the attack on this victim.
max_ppsJSON NumberThe maximum observed packet rate of the attack on this victim, over the attack's time frame.
max_bpsJSON NumberThe maximum observed bit rate of the attack on this victim, over the attack's time frame.

Example GET Request​

 GET /zones/0/victims

Example GET Response​

{
"rows": 2,
"data": [
{
"id": 52410,
"ip_addr": "10.1.0.8",
"attacktype": 17,
"full_attacktype": "AT17 UDP FLOOD",
"attack_subtype": [],
"starttime": "2023-07-31T20:05:46Z",
"endtime": "Infinity",
"numbits": 12884954264064,
"numpackets": 25165926297,
"numattackbits": 12884954264064,
"numattackpackets": 25165926297,
"numdroppedbits": 12884945378304,
"numdroppedpackets": 25165908942,
"zone_resource": "/zones/0",
"victim_resource": "/victims/52410",
"zone_name": "Default",
"current_pps": 17342,
"current_bps": 8879160,
"max_pps": 21726,
"max_bps": 11123784
},
{
"id": 52411,
"ip_addr": "10.1.0.1",
"attacktype": 1,
"full_attacktype": "AT1 SYN FLOOD",
"attack_subtype": [
"1"
],
"starttime": "2023-07-31T20:06:16Z",
"endtime": "Infinity",
"numbits": 541161585751552,
"numpackets": 1056956222171,
"numattackbits": 520802523128832,
"numattackpackets": 1017192427986,
"numdroppedbits": 520802523128832,
"numdroppedpackets": 1017192427986,
"zone_resource": "/zones/0",
"victim_resource": "/victims/52411",
"zone_name": "Default",
"current_pps": 700133,
"current_bps": 358466680,
"max_pps": 877149,
"max_bps": 449096584
}
],
"start": 0
}